### Type parameters

- #### A

### Hierarchy

- TransactGetRequestBase
  - TransactGetRequest1

## Index

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel

## Properties

### params

params: TransactGetItemsInput

Inherited from TransactGetRequestBase.params

- Defined in dynamo/transactget/transact-get.request.type.ts:7

## Methods

### exec

- exec(): Observable<[A]>

- - Defined in dynamo/transactget/transact-get.request.type.ts:16

  #### Returns Observable<[A]>

### execFullResponse

- execFullResponse(): Observable<TransactGetFullResponse<[A]>>

- - Defined in dynamo/transactget/transact-get.request.type.ts:14

  #### Returns Observable<TransactGetFullResponse<[A]>>

### execNoMap

- execNoMap(): Observable<TransactGetItemsOutput>

- Inherited from TransactGetRequestBase.execNoMap

  - Defined in dynamo/transactget/transact-get.request.type.ts:8

  #### Returns Observable<TransactGetItemsOutput>

### forModel

- forModel<B>(modelClazz: ModelConstructor<B>, key: Partial<B>): TransactGetRequest2<A, B>

- - Defined in dynamo/transactget/transact-get.request.type.ts:12

  #### Type parameters

  - #### B

  #### Parameters

  - ##### modelClazz: ModelConstructor<B>

  - ##### key: Partial<B>

  #### Returns TransactGetRequest2<A, B>

Generated using TypeDoc